Name:            libmd

%global forgeurl https://github.com/guillemj/%{name}
%global tag      1.0.4

Version:         %{tag}

%forgemeta

Release:         1%{?dist}
Summary:         Message Digest functions from BSD systems

License:         BSD-3-Clause and BSD with advertising and BSD and ISC and Beerware and Public Domain
URL:             %{forgeurl}
Source0:         %{forgesource}

BuildRequires:   gcc
BuildRequires:   autoconf
BuildRequires:   automake
BuildRequires:   libtool


%description
This library provides message digest functions found on BSD systems either
on their libc or libmd libraries and lacking on others like GNU systems,
thus making it easier to port projects with strong BSD origins, without
needing to embed the same code over and over again on each project.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup
# Generates a helper scipr to print library version
cat << 'EOF' > get-version
#!/bin/sh
printf %{version}
EOF


%build
autoreconf --force --install --verbose
%configure --disable-static
%make_build


%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%{?ldconfig_scriptlets}


%files
%license COPYING
%doc README
%{_libdir}/%{name}.so.*

%files devel
%doc README
%{_includedir}/md2.h
%{_includedir}/md4.h
%{_includedir}/md5.h
%{_includedir}/ripemd.h
%{_includedir}/rmd160.h
%{_includedir}/sha.h
%{_includedir}/sha1.h
%{_includedir}/sha2.h
%{_includedir}/sha256.h
%{_includedir}/sha512.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/*.3*

%changelog
%autochangelog
